%define beta_magic beta4
%define version_magic 0.7_%beta_magic

Name: hugin
Version: 0.7.0
Release: alt0.%beta_magic

Group: Graphics
Summary: hugin - Goal: an easy to use cross-platform GUI for Panorama Tools.
License: GPL
Url: http://hugin.sourceforge.net/
Source0: %name-%version_magic.tar.bz2
Source1: %name.menu
Patch0: hugin-bootstrap.patch
Patch1: hugin-Makefile.patch
Packager: Sergei Epiphanov <serpiph@altlinux.ru>

# Automatically added by buildreq on Wed Jul 27 2005
BuildPreReq: libpano13-devel boost-devel >= 1.31 wxGTK2u-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.0.3 boost-thread-devel >= 1.32
BuildRequires: boost-devel boost-regex-devel-static boost-test-devel boost-thread-devel
BuildRequires: gcc-c++ gcc-fortran glib-devel libgtk+2-devel libjpeg-devel libpano13-devel
BuildRequires: libpng-devel libstdc++-devel libtiff-devel wxGTK2u-devel xorg-x11-locales
BuildRequires: zlib-devel libpango-devel zip gettext-tools
Requires: enblend >= 3.0 libpano13 boost-thread >= 1.32 wxGTK2u >= 2.6.0 libgtk+2 >= 2.0.3

%description
With hugin you can assemble a mosaic of photographs into a complete immersive
panorama, stitch any series of overlapping pictures and much more.

%prep
%setup -q -n %name-%version_magic
%patch0 -p1
%patch1 -p1

%build
###From CVS only
./bootstrap

%configure --enable-desktop=no prefix=%buildroot ac_default_prefix=%buildroot --with-unicode=yes --enable-shared=yes --enable-static=no
%make LDFLAGS=-lpangox-1.0

%install
###Check line below
#/bin/ln -s %%_datadir/automake/mkinstalldirs config/mkinstalldirs

%makeinstall
###Check line below
%find_lang %name
###Check line below ???
%find_lang nona_gui
/bin/cat nona_gui.lang >>%name.lang

/bin/install -p -m644 -D %SOURCE1 %buildroot%_menudir/hugin.menu
/bin/install -p -m644 -D src/hugin/xrc/data/icon.png %buildroot%_datadir/pixmaps/hugin.png
/bin/install -p -m644 -D src/hugin/xrc/data/icon.png %buildroot%_niconsdir/hugin.png

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS BUGS LICENCE LICENCE_JHEAD LICENCE_VIGRA README
%_bindir/*
%dir %_datadir/hugin
%_datadir/applications/*
%_datadir/hugin/*/*
%_datadir/mime/packages/*
%_datadir/pixmaps/*
%_niconsdir/*
%_menudir/*
%_man1dir/*
%_iconsdir/gnome/48x48/mimetypes/gnome-mime-application-x-ptoptimizer-script.png

%changelog
* Wed Feb 14 2007 Sergei Epiphanov <serpiph@altlinux.ru> 0.7.0-alt0.beta4
- New version

* Mon Sep 25 2006 Sergei Epiphanov <serpiph@altlinux.ru> 0.6.1-alt1
- New version
- Cleanup patches

* Fri May 19 2006 Sergei Epiphanov <serpiph@altlinux.ru> 0.6-alt0.0.cvs20060517
- Updating to CVS version
- Checking patches
- Checking dependencies

* Wed May 17 2006 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt11
- Fixing code for gcc4.1
- Adding unpackaged files

* Tue Mar 07 2006 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt10
- Cleanup spec

* Sat Feb 11 2006 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt9
- Removing stale require panorama-tools

* Wed Dec 28 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt8
- Correction of default settings for Linux

* Fri Dec 16 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt7
- First stable release of hugin at 11-12-2005

* Sat Dec 03 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt6.cvs20051203
- Updated to CVS version
- Compiled with wxGTK2u
- Added missed requires.

* Fri Sep 23 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt5.rc2
- Fixing build errors

* Fri Sep 23 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt4.rc2
- New RC.
- Some spec corrections.

* Fri Sep 09 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt3.rc1
- Adding menu entry for program

* Mon Sep 05 2005 Sergei Epiphanov <serpiph@altlinux.ru> 0.5-alt2.rc1
- Fixing for ALT Linux

* Tue Jul 26 2005 Sergei Epiphanov <serpiph@nikiet.ru> 0.5_rc1-alt1
-initial build
